/* General styles - resets and global settings */
* {
    color: #4b9bc7;
    font-family: "KottaOne-Regular" ;
}

img {
    display: inline-block;
}

#site {
        width: 1245px;
        margin: auto;
        padding: 0px;
        margin-top: 10px;
        position: relative;
        border-width: 1px;
        border-style: solid;
        border-left-color: #f3d5aaff;
        border-right-color: #eb9d72ff;
        border-top-color: #6eb4dbff;
        border-bottom-color: #419dd0ff;
}

.block {
    display: block;
}


/* Fonts and other assets */
@font-face {
    font-family: Milonga-Regular;
    src: url(/fonts/Milonga-Regular.ttf);
}

@font-face {
    font-family: KottaOne-Regular;
    src: url(/fonts/KottaOne-Regular.ttf);
}


/* The top in view: "header.php". Top portrait and navigation bar */
#top {
    height: 310px;
    overflow: visible;
    margin-left: 0px;
    margin-right: 0px;
    padding-top: 10px;
    position: relative;
    border: 0px;
    border-bottom-width: 1px;
    border-style: solid;
    border-bottom-color: #bbb;
    width: 100%;
}


/* Images at the top (portrait and header background) */
#top img#portrait  {
    position: absolute;
}

#top img#portrait {
    left: 12px;
}

#top #header #background {
    position: absolute;
    left: 380px;
    background-image: url("/img/header_background.png");
    width: 1323px;
    height: 297px;
}

/* Menu  */
#top #header #menu {
    position: absolute;
    bottom: 13px;
    right: 100px;
    padding: 15px;
    padding-bottom: 0px;
    border-radius: 20px 20px 0px 0px;
    background-color: #ffffffaa;
}

/* Menu items */
#top #header #menu a {
    display: inline-block;
    margin: 5px;
    margin-bottom: 0px;
    padding: 5px;
    border-radius: 15px 15px 0px 0px;
    text-decoration: none;
}

#menu a:hover {
    display: inline-block;
    margin: 5px;
    padding: 5px;
    
    background-color: #ffd57c;
    text-decoration: none;
    text-shadow: 0px 0px 4px white;
}


/* Colors for every menu item on hover */
#menu  a.selected {
    text-shadow: 0px 0px 4px white;
}

#menu a#akryl:hover, #menu  a#akryl.selected {
    background-color: #f0d4d2;
}

#menu a#olej:hover, #menu  a#olej.selected {
    background-color: #d9c6e7;
}


#menu a#akwarele:hover, #menu  a#akwarele.selected {
    background-color: #ecdca5;
}

#menu a#olowek:hover, #menu  a#olowek.selected {
    background-color: #def0ad;
}

#menu a#pastele:hover, #menu  a#pastele.selected {
    background-color: #c1f5b2;
}

#menu a#poezja:hover, #menu  a#poezja.selected {
    background-color: #c1e4f3;
}




#menu a img{
    display: inline-block;
    max-width: 80px;
    max-height: 80px;
}

#menu a p.title {
    text-align: center;
    margin: 2px auto;
}


/* The content in view: "content.php"  */
#content-backdrop {
    margin: 0px;
    border-top: 0px solid #00000000;
    border-bottom: 0px solid #00000000;
    /* padding-top: 10pz; */
    padding-bottom: 5px;
}


#content-backdrop #title {
    margin: 0px;
    padding: 4px;
    padding-left: 10px;
    font-size: 140%;
    color: white;
    background-color: #444;
    border-bottom: 1px solid #bbb;
    
}

#content-backdrop .description {
    margin: 10px;
    color: #444;
    padding: 10px;
    background-color: white;
}

#content {
    margin: 10px;
    /* padding: 20px; */
    padding-top: 30px;
    /* border: 1px solid #00000000; */
    border-radius: 0px 0px 20px 20px;
    background-color: white;
}

/* Work item styling  */
#content .work {
    position: relative;
    display: inline-block;
    margin: 0px 10px 15px 10px ;
    max-width: 280px; 
    height: 390px;
    text-overflow: ellipsis;
    ;
}

#content .work .image-container{
    position: relative;
    display: block;
    padding: 16px;
    width: 240px;
    height: 240px;
    padding-bottom: 90px;
    background: #f5f5f5;
    border: 1px solid #ccc;
    /* border: 1px solid #8facbd; */
}

#content .work .image-container img {
    cursor: pointer;
    position: absolute;
    overflow: hidden;
    max-width: 240px;
    max-height: 240px;
    top: 50%;
    transform: translateY(-60%) translateX(-50%);
}

/* Span in the work container with .title class */
.work .image-container .title {
    position: absolute;
    left: 0px;
    bottom: 19px;
    width: 100%;
    padding: 4px 0px;

    color: white;
    background-color: rgb(75, 75, 75);
    font-size: 128%;
    text-shadow: 0px 0px 4px white;
}

#content .work .caption-container {
    position: relative;
    display: block;
    color: rgb(63, 63, 63);
    margin-bottom: 16px;
    text-shadow: 2px 2px 2px rgb(117, 117, 117);
    overflow: visible;
}


/* Span with .caption-description class */
.work .caption-container .caption-type {
    color: inherit;
    font-size: 80%;
}


/* Span with .caption-description class */
/* .caption-container .caption-description {
    font-family: serif;
    font-size: 90%;
    color: #b4b4b4;
    text-shadow: none;
} */

/* Span with .caption-date class */
.work .caption-container .caption-date {
    color: inherit;
    font-size: 80%;
    text-shadow: none;
}

.work .caption-container .tooltip {
    position: absolute;
    top: 100%;
    left: 0px;
    padding: 8px;
    background-color: white;
    opacity: 0;
    border: 1px solid #00000060;
    border-radius: 8px;
    color: #666;
    font-size: 90%;
    text-shadow: none;
    z-index: 100;
    transition: opacity 0.4s, transform 0.4s;
    transition-delay: 0s;
    transform: translateY(-20%);
}

.work:hover .caption-container .tooltip {
    display: block;
    visibility: visible;
    opacity: 0.9;
    transition-delay: 0.4s;
    transform: translateY(0%);
}
    
#footer {
    color: rgb(73, 73, 73);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 80%;
    margin: 10px 10px;
    margin-top: 15px;
    padding: 6px;
    background-color: white;
}